Search documentation of polar_express

# PolarExpress.Services.EventsService (polar_express v0.1.5)

Copy Markdown View Source

Events

Events API operations.

## Summary

### Functions

get_event(client, id, params \\ %{}, opts \\ [])

Get Event

ingest_events(client, params \\ %{}, opts \\ [])

Ingest Events

list_event_names(client, params \\ %{}, opts \\ [])

List Event Names

list_events(client, params \\ %{}, opts \\ [])

List Events

## Functions

# get_event(client, id, params \\ %{}, opts \\ [])

    @spec get_event(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.Event.t()} | {:error, PolarExpress.Error.t()}

Get Event

Get an event by ID.

Scopes: `events:read` `events:write`

See `PolarExpress.Params.EventsGetEventParams` for parameter details.

# ingest_events(client, params \\ %{}, opts \\ [])

    @spec ingest_events(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.EventsIngestResponse.t()}
      | {:error, PolarExpress.Error.t()}

Ingest Events

Ingest batch of events.

Scopes: `events:write`

See `PolarExpress.Params.EventsIngestEventsParams` for parameter details.

# list_event_names(client, params \\ %{}, opts \\ [])

    @spec list_event_names(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Event Names

List event names.

Scopes: `events:read` `events:write`

See `PolarExpress.Params.EventsListEventNamesParams` for parameter details.

# list_events(client, params \\ %{}, opts \\ [])

    @spec list_events(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Events

List events.

Scopes: `events:read` `events:write`

See `PolarExpress.Params.EventsListEventsParams` for parameter details.